## WebKitDOMCSSValue

WebKitDOMCSSValue

## Functions

gchar * | webkit_dom_css_value_get_css_text ()
void | webkit_dom_css_value_set_css_text ()
gushort | webkit_dom_css_value_get_css_value_type ()

## Properties

gchar * | css-text | Read / Write
guint | css-value-type | Read

## Types and Values

| WebKitDOMCSSValue

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMCSSValue

## Description

## Functions

### webkit_dom_css_value_get_css_text ()

    gchar *
    webkit_dom_css_value_get_css_text (WebKitDOMCSSValue *self);

#### Parameters

self | A WebKitDOMCSSValue |

#### Returns

A gchar

### webkit_dom_css_value_set_css_text ()

    void
    webkit_dom_css_value_set_css_text (WebKitDOMCSSValue *self,
                                       const gchar *value,
                                       GError **error);

#### Parameters

self | A WebKitDOMCSSValue |
value | A gchar |
error | GError |

### webkit_dom_css_value_get_css_value_type ()

    gushort
    webkit_dom_css_value_get_css_value_type
                                   (WebKitDOMCSSValue *self);

#### Parameters

self | A WebKitDOMCSSValue |

#### Returns

A gushort

## Types and Values

### WebKitDOMCSSValue

    typedef struct _WebKitDOMCSSValue WebKitDOMCSSValue;

## Property Details

### The `“css-text”` property

      “css-text”                 gchar *

read-write gchar* CSSValue:css-text.

Flags: Read / Write

Default value: ""

### The `“css-value-type”` property

      “css-value-type”           guint

read-only gushort CSSValue:css-value-type.

Flags: Read

Default value: 0